Subject: Re: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Philipp Stephani <[email-masked]>
Date: Mon, 18 Dec 2017 19:52:31 +0000

Kaushal Modi <[email-masked]> schrieb am Mo., 18. Dez. 2017 um
18:22 Uhr:

> Hello,
>
> I install packages from Org Elpa and Melpa on the fly on Travis CI. Travis
> CI is a continuous integration service used by many GitHub projects and it
> uses an image (trusty) that's based off Ubuntu 14.04.
>
> They made an update to their Ubuntu 14.04 image last week, and after that
> these errors started showing up when emacs tried to retrieve package
> archives:
>
> Full log:https://travis-ci.org/jwiegley/use-package/jobs/317613388
>
> Relevant excerpt:
> =====
> Contacting host: elpa.gnu.org:443
>
> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> NORMAL:%DUMBFW :hostname elpa.gnu.org :loglevel 0 :min-prime-bits 256
> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
> :verify-flags nil :verify-error nil :callbacks nil)
>
> Failed to download ‘gnu’ archive.
>
> Contacting host: melpa.org:443
>
> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> NORMAL:%DUMBFW :hostname melpa.org :loglevel 0 :min-prime-bits 256
> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
> :verify-flags nil :verify-error nil :callbacks nil)
>
> Failed to download ‘melpa’ archive.
> Package refresh done.
> =====
>
> I got the packages from Melpa to install fine only after I switch from
> https to http.
>
> Is this gnutls.el error related to this bug? This was on the latest
> emacs-26 build as of yesterday.
>
>
Yes, this is the same thing – at least I got exactly the same error message
when running 'emacs -Q -f report-emacs-bug'.
Considering that a version check takes some time to implement, I'd suggest
reverting the commit that introduced %DUMBFW for now.